<template>
  <oa-scroll
    customClass="videoDetail-container scroll-height"
    :isSticky="false"
    :refresherLoad="false"
    :refresherEnabled="false"
    :refresherEnabledTitle="false"
    :refresherDefaultStyle="'none'"
    :refresherThreshold="44"
    :refresherBackground="'#f5f6f7'"
    :data-theme="'theme-' + proxy.$settingStore.themeColor.name"
  >
    <template #default>
      <view class="bg-white p15 mb15">
        <uni-section class="block mb10" :title="'设备名称:' + state.deviceName" type="line"></uni-section>
        <view class="tableType3 p0">
          <video id="myVideo" :src="state.videoUrl" style="width: 100%" loop="loop" autoplay="autoplay"></video>
        </view>
      </view>
    </template>
  </oa-scroll>
</template>

<script setup>
/*----------------------------------依赖引入-----------------------------------*/
import { onLoad, onShow, onReady, onHide, onLaunch, onNavigationBarButtonTap, onPageScroll } from "@dcloudio/uni-app";
import { ref, reactive, computed, getCurrentInstance, toRefs, inject } from "vue";
/*----------------------------------接口引入-----------------------------------*/
/*----------------------------------组件引入-----------------------------------*/
/*----------------------------------store引入-----------------------------------*/
import { useStores, commonStores } from "@/store/modules/index";
/*----------------------------------公共方法引入-----------------------------------*/
/*----------------------------------公共变量-----------------------------------*/
const { proxy } = getCurrentInstance();
const useStore = useStores();
const commonStore = commonStores();
/*----------------------------------变量声明-----------------------------------*/
const state = reactive({
  dataArray: {},
  dataList: [],
  deviceName: "",
  pageSize: 20,
  current: 1,
  total: "",

  videoUrl: "http://devimages.apple.com/iphone/samples/bipbop/bipbopall.m3u8",
});

/**
 * @页面初始化
 */
function init() {
  selectListApi();
}

/**
 * @列表查询
 * @api接口查询
 */
function selectListApi() {}

onReady(() => {});

onShow(() => {
  //调用系统主题颜色
  proxy.$settingStore.systemThemeColor([1]);
});

onLoad((options) => {
  if ("deviceName" in options) {
    state.deviceName = options.deviceName;
  }

  init();
});
</script>

<style lang="scss" scoped>
:deep() {
  .u-input__content__field-wrapper__field {
    font-size: 13px !important;
  }
  .u-textarea__field {
    font-size: 13px;
  }
}
</style>
